# Mapkick

Create beautiful Javascript maps with one line of Ruby. No more fighting with maping libraries!

## Usage

World Map

```erb
<%= mapkick_world Item.all.group(:country).count %>
```

United States Map

```erb
<%= mapkick_usa Item.all.group(:state).count %>
```

## Installation

Add this line to your application's Gemfile:

```ruby
gem "mapkick"
```

And add the javascript files to your views.  These files must be included **before** the helper methods, unless using the `:content_for` option.

For the world map, use:

```erb
<%= javascript_include_tag "/assets/datamaps.world.js", "mapkick" %>
```

For the united states map, use:

```erb
<%= javascript_include_tag "/assets/datamaps.usa.js", "mapkick" %>
```

If you intend to use both the world map, and the united states map, you must use:

```erb
<%= javascript_include_tag "/assets/datamaps.all.js", "mapkick" %>
```

## No Ruby? No Problem

Check out [datamaps.js](https://github.com/markmarkoh/datamaps)

## Contributing

Everyone is encouraged to help improve this project. Here are a few ways you can help:

- [Report bugs](https://github.com/blackwatertepes/mapkick/issues)
- Fix bugs and [submit pull requests](https://github.com/blackwatertepes/mapkick/pulls)
- Write, clarify, or fix documentation
- Suggest or add new features
